summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xautogen.sh16
1 files changed, 15 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
index 193ae3cd..d9cbcfca 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,12 +1,26 @@
#!/bin/sh
+if [ -e INSTALL ]; then
+ have_INSTALL=true
+else
+ have_INSTALL=false
+fi
+
mkdir autotools
aclocal
autoheader
-automake
+automake -ac
autoconf
automake
+# The INSTALL file is autogenerated, so it isn't stored in version control.
+# As the file isn't present, automake's -a option will install generic
+# install instructions. So remove INSTALL if automake installed one.
+
+if ! $have_INSTALL; then
+ rm -f INSTALL
+fi
+
./configure "$@"